// Code generated by sqlc-grpc (https://github.com/walterwanderley/sqlc-grpc).

package authors

import (
	"database/sql"

	"go.uber.org/zap"

	pb "example/api/authors/v1"
)

// NewService is a constructor of a pb.AuthorsServiceServer implementation.
// Use this function to customize the server by adding middlewares to it.
func NewService(logger *zap.Logger, querier Querier, db *sql.DB) pb.AuthorsServiceServer {
	appLogic := &AppLogic{logger: logger, querier: querier}
	return &Service{logger: logger, querier: appLogic}
}
